### Name: ClassifierBuild
### Title: Building a classifier as a combination of preprocessing and
###   classification method
### Aliases: ClassifierBuild ClassifierBuild.default
### Keywords: file

### ** Examples


library(MCRestimate)
library(golubEsets)
data(Golub_Train)

class.column <- "ALL.AML"
Preprocessingfunctions <- c("varSel.highest.var")
list.of.poss.parameter <- list(var.numbers = c(250,1000))
classification.funct <- "RF.wrap"
cross.inner <- 5

RF.classifier <- ClassifierBuild(Golub_Train,
     class.column,
                        classification.fun = classification.funct,
     thePreprocessingMethods = Preprocessingfunctions,
     poss.parameters = list.of.poss.parameter,
     cross.inner = cross.inner)




