### Name: RF.wrap
### Title: Wrapper function for different classification methods
### Aliases: RF.wrap PAM.wrap PLR.wrap SVM.wrap GPLS.wrap
### Keywords: file

### ** Examples

library(MCRestimate)
library(golubEsets)
data(Golub_Train)

class.column <- "ALL.AML"
Preprocessingfunctions <- c("varSel.highest.var")
list.of.poss.parameter <- list(threshold = 6)

Preprocessingfunctions <- c("identity")
class.function <- "PAM.wrap"
plot.label <- "Samples"

cross.outer <- 10
cross.repeat <- 7
cross.inner <- 5

PAM.estimate <- MCRestimate(Golub_Train,
                class.column,
                classification.fun = class.function,
                thePreprocessingMethods = Preprocessingfunctions,
                poss.parameters = list.of.poss.parameter,
                cross.outer = cross.outer, cross.inner = cross.inner,
                cross.repeat = cross.repeat, plot.label = plot.label)



